Summary:       A wired and wireless network manager
Name:          wicd
Version:       1.7.0
Release:       %mkrel 5
License:       GPLv2
Group:         System/Configuration/Networking
URL:           http://wicd.net/
Source0:       http://dl.sourceforge.net/wicd/%{name}-%{version}.tar.gz
Source1:       %{name}.init
Source2:       %{name}.logrotate
Patch0:        wicd-1.7.0-remove-WHEREAREMYFILES.patch
Patch1:	       wicd-1.7.0-CVE-2012-2095.patch
BuildRequires: python-devel
Requires:      python
Requires:      python-urwid

%description
Wicd is an open source wired and wireless network manager for Linux
which aims to provide a simple interface to connect to networks with a
wide variety of settings.

%prep
%setup -q
%patch0 -p1 -b .WHEREAREMYFILES
%patch1 -p0 -b .CVE-2012-2095

%build
python setup.py configure \
        --pmutils=%{_libdir}/pm-utils/sleep.d/ \
        --no-install-kde \
        --no-install-init

python setup.py build

%install
rm -rf %{buildroot}
python setup.py install \
       --optimize=2 \
       --root=%{buildroot}

install -D %{SOURCE1} %{buildroot}/%{_initrddir}/%{name}

install -m 0644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# remove shebang
for file in %{buildroot}%{python_sitelib}/%{name}/*.py; do
    sed -i -e 's,\#\!/usr/bin/env python,,' $file;
done

for file in %{buildroot}%{_datadir}/%{name}/*/*.py; do
    sed -i -e 's,\#\!/usr/bin/env python,,' -e 's,\#\!/usr/bin/python,,' $file;
done

%find_lang %name

%clean
rm -rf %{buildroot}

%post
%_preun_service network
%_preun_service network-up
%_post_service %{name}

%preun
%_preun_service %{name}
%_post_service network
%_post_service network-up

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS CHANGES LICENSE README other/WHEREAREMYFILES
%{_sysconfdir}/acpi/resume.d/80-wicd-connect.sh
%{_sysconfdir}/acpi/suspend.d/50-wicd-suspend.sh
%{_sysconfdir}/dbus-1/system.d/wicd.conf
%{_sysconfdir}/logrotate.d/%{name}
%attr(755,root,root) %{_initddir}/%{name}
%{_sysconfdir}/wicd
%{_sysconfdir}/xdg/autostart/wicd-tray.desktop
%{_bindir}/wicd*
%{python_sitelib}/%{name}
%{python_sitelib}/*.egg-info
%{_libdir}/pm-utils/sleep.d/91wicd
%attr(755,root,root) %{_sbindir}/wicd
%{_datadir}/applications/wicd.desktop
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man*/*
%{_mandir}/nl/man*/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_var}/lib/%{name}
%{_logdir}/%{name}


%changelog

* Tue Apr 24 2012 luigiwalser <luigiwalser> 1.7.0-5.mga2
+ Revision: 233152
- fix CVE-2012-2095 (upstream)

* Fri Apr 22 2011 ahmad <ahmad> 1.7.0-4.mga1
+ Revision: 89656
- Drop libdir patch and use --pmutils configure option
- Add a logrotate config file (Fedora)
- Remove sheband from .py files
- Add patch to not copy WHEREAREMYFILES all over the place, it's %%doc'ed instead
  (Fedora)
- imported package wicd


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 1.7.0-3mdv2011.0
+ Revision: 590584
- rebuild for python 2.7

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.7.0-2mdv2011.0
+ Revision: 564182
- fix perms

  + Joao Victor Martins <jvictor@mandriva.com>
    - Fixing permission of wicd-client binaries.

* Sun Jan 17 2010 Funda Wang <fwang@mandriva.org> 1.7.0-1mdv2010.1
+ Revision: 492552
- update file list
- new version 1.7.0

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - properly package translation files

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.2.2-1mdv2010.0
+ Revision: 435904
- update to new version 1.6.2.2

* Wed Jul 08 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 1.6.2-2mdv2010.0
+ Revision: 393634
- requires python-urwid for wicd-curses

* Tue Jul 07 2009 Funda Wang <fwang@mandriva.org> 1.6.2-1mdv2010.0
+ Revision: 393236
- new version 1.6.2

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.1-1mdv2010.0
+ Revision: 387600
- Update to new version 1.6.1
- Rediff and rename libdir patch
- Package cannot be noarch because it installs files in
  %%{_libdir}/pm-utils/sleep.d
- Don't install KDE 3 autostart file

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 1.5.9-1mdv2009.1
+ Revision: 349726
- New upstream release

* Sun Jan 11 2009 Jérôme Soyer <saispo@mandriva.org> 1.5.8-1mdv2009.1
+ Revision: 328366
- Change desktopdir macros
- Fix RPM Groups
  Add python to Requires
- import wicd


